This is NonminimalComplexes.info, produced by Macaulay2, version 1.25.11

NonminimalComplexes -- support for computing homology, ranks and SVD complexes, from a chain complex over the real numbers
**************************************************************************************************************************

Description
===========

Some functionality here should be moved elsewhere.

Caveat
======

This package will be removed soon, with constantStrand functionality moved
elsewhere.  The undocumented features the rest of the package relied on have
been removed in M2 version 1.23.

Authors
=======

  * Frank-Olaf Schreyer (see http://www.math.uni-sb.de/ag/schreyer )
    <schreyer@math.uni-sb.de>
  * Mike Stillman (see http://www.math.cornell.edu/~mike )
    <mike@math.cornell.edu>

Version
=======

This documentation describes version 0.2 of NonminimalComplexes, released April
25, 2018.

Citation
========

If you have used this package in your research, please cite it as follows:

+-----------------------------------------------------------------------------+
|@misc{NonminimalComplexesSource,                                             |
|  title = {{NonminimalComplexes: non-minimal strands of                      |
|  author = {Frank-Olaf Schreyer and Mike Stillman},                          |
|  howpublished = {A \emph{Macaulay2} package available                       |
|    \url{https://github.com/Macaulay2/M2/tree/stable/M2                      |
|}                                                                            |
|-----------------------------------------------------------------------------|
| a non-minimal resolution of a homogeneous module. Version~0.2}},            |
|                                                                             |
|at                                                                           |
|/Macaulay2/packages}}                                                        |
+-----------------------------------------------------------------------------+

Exports
=======

  * Types
      * SparseMatrix (missing documentation)
  * Functions and commands
      * constantStrand -- a constant strand of a chain
        complex
      * newSparseMatrix (missing documentation)
      * sparseMatrix (missing documentation)
  * Methods
      * "constantStrand(ChainComplex,ZZ)" -- see constantStrand,
        -- a constant strand of a chain complex
      * net(SparseMatrix) (missing documentation)
      * newSparseMatrix(List,List,List) (missing documentation)
      * numColumns(SparseMatrix) (missing documentation)
      * numRows(SparseMatrix) (missing documentation)
      * sparseMatrix(Matrix) (missing documentation)
  * Symbols
      * ColumnNums (missing documentation)
      * Entries (missing documentation)
      * RowNums (missing documentation)

For the programmer
==================

The object NonminimalComplexes, is a package (Macaulay2Doc),
defined in NonminimalComplexes.m2.

-------------------------------------------------------------------------------

The source of this document is in NonminimalComplexes.m2:332:0.

ColumnNums
**********

For the programmer
==================

The object ColumnNums (missing documentation) is a symbol (Macaulay2Doc).

-------------------------------------------------------------------------------

The source of this document is in currentString:1:397.

constantStrand -- a constant strand of a chain complex
******************************************************

  * Usage:
        Cd = constantStrand(C, deg)
  * Inputs:
      * C, a chain complex (OldChainComplexes), a chain
        complex created using (the unsupported) res(I, Strategy=>4.1)
      * deg, an integer (Macaulay2Doc), the degree of the strand of
        the complex
  * Outputs:
      * Cd, a chain complex (OldChainComplexes), a chain
        complex over kk, consisting of the submatrices of C of degree deg

Description
===========

Warning! This function is very rough currently.  It works if one uses it in the
intended manner, as in the example below.  But it should be much more general,
handling other rings with grace, and also it should handle arbitrary (graded)
chain complexes.

+-----------------------------------------------------------------------------+
|i1 : R = ZZ/101[a..d]                                                        |
|                                                                             |
|o1 = R                                                                       |
|                                                                             |
|o1 : PolynomialRing                                                          |
+-----------------------------------------------------------------------------+
|i2 : I = ideal(a^3, b^3, c^3, d^3, (a+3*b+7*c-4*d)^3)                        |
|                                                                             |
|             3   3   3   3   3     2         2      3      2                 |
|o2 = ideal (a , b , c , d , a  + 9a b + 27a*b  + 27b  + 21a c + 25a*b*c -    |
|     ------------------------------------------------------------------------|
|        2         2        2      3      2                2                  |
|     13b c + 46a*c  + 37b*c  + 40c  - 12a d + 29a*b*d - 7b d + 34a*c*d +     |
|     ------------------------------------------------------------------------|
|                2         2        2        2      3                         |
|     b*c*d + 18c d + 48a*d  + 43b*d  + 33c*d  + 37d )                        |
|                                                                             |
|o2 : Ideal of R                                                              |
+-----------------------------------------------------------------------------+
|i3 : C = res(I, Strategy=>4)                                                 |
|                                                                             |
|      1      9      25      31      18      4                                |
|o3 = R  <-- R  <-- R   <-- R   <-- R   <-- R                                 |
|                                                                             |
|     0      1      2       3       4       5                                 |
|                                                                             |
|o3 : ChainComplex                                                            |
+-----------------------------------------------------------------------------+
|i4 : betti C                                                                 |
|                                                                             |
|            0 1  2  3  4 5                                                   |
|o4 = total: 1 9 25 31 18 4                                                   |
|         0: 1 .  .  .  . .                                                   |
|         1: . .  .  .  . .                                                   |
|         2: . 5  1  .  . .                                                   |
|         3: . 1  3  1  . .                                                   |
|         4: . 3 17 13  4 .                                                   |
|         5: . .  4 13 10 3                                                   |
|         6: . .  .  4  3 1                                                   |
|         7: . .  .  .  1 .                                                   |
|                                                                             |
|o4 : BettiTally                                                              |
+-----------------------------------------------------------------------------+
|i5 : CR = constantStrand(C, 5)                                               |
|                                                                             |
|             ZZ 3       ZZ 3                                                 |
|o5 = 0 <-- (---)  <-- (---)  <-- 0 <-- 0 <-- 0                               |
|            101        101                                                   |
|     0                           3     4     5                               |
|           1          2                                                      |
|                                                                             |
|o5 : ChainComplex                                                            |
+-----------------------------------------------------------------------------+
|i6 : CR.dd_2                                                                 |
|                                                                             |
|o6 = | -33 48  0   |                                                         |
|     | 2   -15 5   |                                                         |
|     | 2   0   -43 |                                                         |
|                                                                             |
|              ZZ 3       ZZ 3                                                |
|o6 : Matrix (---)  <-- (---)                                                 |
|             101        101                                                  |
+-----------------------------------------------------------------------------+

Caveat
======

This function should be defined for any graded chain complex, not just ones
created using res(I, Strategy=>4).

Ways to use constantStrand:
===========================

  * "constantStrand(ChainComplex,ZZ)"

For the programmer
==================

The object constantStrand, is a method function (Macaulay2Doc).

-------------------------------------------------------------------------------

The source of this document is in NonminimalComplexes.m2:366:0.

Entries
*******

For the programmer
==================

The object Entries (missing documentation) is a symbol (Macaulay2Doc).

-------------------------------------------------------------------------------

The source of this document is in currentString:1:397.

newSparseMatrix
***************

Ways to use newSparseMatrix:
============================

  * newSparseMatrix(List,List,List) (missing documentation)

For the programmer
==================

The object newSparseMatrix (missing documentation) is a method function (Macaulay2Doc).

-------------------------------------------------------------------------------

The source of this document is in currentString:1:397.

RowNums
*******

For the programmer
==================

The object RowNums (missing documentation) is a symbol (Macaulay2Doc).

-------------------------------------------------------------------------------

The source of this document is in currentString:1:397.

SparseMatrix
************

Functions and methods returning an object of class SparseMatrix:
================================================================

  * newSparseMatrix(List,List,List) (missing documentation)
  * sparseMatrix(Matrix) (missing documentation)

Methods that use an object of class SparseMatrix:
=================================================

  * net(SparseMatrix) (missing documentation)
  * numColumns(SparseMatrix) (missing documentation)
  * numRows(SparseMatrix) (missing documentation)

For the programmer
==================

The object SparseMatrix (missing documentation) is a type (Macaulay2Doc),
with ancestor classes HashTable (Macaulay2Doc),
< Thing (Macaulay2Doc).

-------------------------------------------------------------------------------

The source of this document is in currentString:1:397.

sparseMatrix
************

Ways to use sparseMatrix:
=========================

  * sparseMatrix(Matrix) (missing documentation)

For the programmer
==================

The object sparseMatrix (missing documentation) is a method function (Macaulay2Doc).

-------------------------------------------------------------------------------

The source of this document is in currentString:1:397.